CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::base_view Class Reference

This class is base class for all views (skins) rendered by CppCMS template engine. More...

`#include <cppcms/base_view.h>`

Inheritance diagram for cppcms::base_view:

## Public Member Functions
virtual void | render ()

## Detailed Description

This class is base class for all views (skins) rendered by CppCMS template engine.

Users are not expected to derive from this class or use it directly. CppCMS template compiler create skins that are usable with template engine and each template is derived from the base_view class.

## Member Function Documentation

virtual void cppcms::base_view::render | ( |  | ) |
| virtual

The main rendering function – render the main HTML page. It is usually overridden in template engine.

The documentation for this class was generated from the following file:

- cppcms/base_view.h